// Spawn explosion particles
for (var i=0; i<3; i++)
{
entity.spawnExplosionParticle();
}

// Insert Item Drop Code in here somewhere

mTSB.removeFromRendering();
eye1.removeFromRendering();
eye2.removeFromRendering();

